@mixin visually-hidden {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

// Fluid scaling
@function rs($size) {
  @return max(calc(#{$size}vw * 100 / 1920), #{$size}px);
}

@mixin responsive-value($property, $value) {
  #{$property}: #{$value}rem; // default value for screens smaller than 900px

  @media (min-width: 900px) {
    #{$property}: calc(
      max(calc(#{$value}vw * 100 / 1920), #{$value}px) * 10
    ); // responsive value for screens larger than 900px
  }
}
